Skip to content

Create project.

POST
/backend/v1/projects

Creates a new project

Authorizations

HTTPBearer
Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"adminIds": [
  
  
"string"
  
],
  
"config": {
  
  
"packages": [
  
  
  
{
  
  
  
  
"blocking": true,
  
  
  
  
"enabled": true,
  
  
  
  
"flagMessage": "string",
  
  
  
  
"force": true,
  
  
  
  
"id": "string",
  
  
  
  
"mode": "string",
  
  
  
  
"version": "string"
  
  
  
}
  
  
],
  
  
"providers": [
  
  
  
{
  
  
  
  
"capabilities": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"default": true,
  
  
  
  
"enabled": true,
  
  
  
  
"id": "string",
  
  
  
  
"name": "string",
  
  
  
  
"type": "string"
  
  
  
}
  
  
],
  
  
"scanners": [
  
  
  
{
  
  
  
  
"blocking": true,
  
  
  
  
"enabled": true,
  
  
  
  
"flagMessage": "string",
  
  
  
  
"force": true,
  
  
  
  
"id": "string",
  
  
  
  
"mode": "string",
  
  
  
  
"version": "string"
  
  
  
}
  
  
]
  
},
  
"deploymentStatus": "draft",
  
"friendlyId": "string",
  
"memberIds": [
  
  
"string"
  
],
  
"name": "string",
  
"type": "string"
}

Responses

Successful Response

application/json
JSON
{
  
"id": "string"
}

Playground

Server
Authorization
Body

Samples

Powered by VitePress OpenAPI

Updated at: